module.exports = {
  create: {
    requestBody: ["!name", "!license","!mobile","model","carcolor","vin","insurance","drive","travel"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["!name", "!license","!mobile","model","carcolor","vin","insurance","drive","travel"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
        license: "license",
        mobile: "mobile",
        model: "model",
        carcolor: "carcolor",
        vin: "vin",
        insurance: "insurance",
        drive: "drive",
        travel: "travel",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
