module.exports = {
  create: {
    requestBody: ["!uid", "name", "type", "parts", "jobdate", "totalmoney", "create_data","finish_date"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["!uid", "name", "type", "parts", "jobdate", "totalmoney", "create_data", "finish_date"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
        type: "type",
        parts: "parts",
        jobdate: "jobdate",
        totalmoney: "totalmoney",
        create_data: "create_data",
        finish_date: "finish_date",
        uid: "uid",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
