'use strict';

const assert = require('assert');
const _ = require('lodash');
const { ObjectId } = require('mongoose').Types;
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { CarorderError, ErrorCode } = require('naf-core').Error;

class CarorderService extends CrudService {
  constructor(ctx) {
    super(ctx, 'carorder');
    this.model = this.ctx.model.Carorder;
  }
}

module.exports = CarorderService;
