/* eslint valid-jsdoc: "off" */

'use strict';
const { jwt } = require('./config.secret');
/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
/**
 * built-in config
 * @type {Egg.EggAppConfig}
 **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1579225760252_7743';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
  // myAppName: 'egg',
  };

  // add your config here
  config.cluster = {
    listen: {
      port: 8081,
    },
  };
  config.mongoose = {
    url: 'mongodb://localhost:27017/servicetest',
    options: {
      // user: 'admin',
      // pass: 'admin',
      // authSource: 'admin',
      // useNewUrlParser: true,
      // useCreateIndex: true,
    },
  };

  config.jwt = {
    ...jwt,
    expiresIn: '1d',
    issuer: 'servicetest',
  };

  // config.amqp = {
  //   client: {
  //     hostname: '127.0.0.1',
  //     username: 'visit',
  //     password: 'visit',
  //     vhost: 'visit',
  //   },
  //   app: true,
  //   agent: true,
  // };

  return {
    ...config,
    ...userConfig,
  };
};
